Merge remote-tracking branch 'remotes/origin_deadface/master' nvc-v0.5.0
authorMASM fan <masmfan@gmail.com>
Thu, 11 Dec 2014 17:34:31 +0000 (21:34 +0400)
committerMASM fan <masmfan@gmail.com>
Thu, 11 Dec 2014 17:34:31 +0000 (21:34 +0400)
contrib/clang/nomacro.pl [new file with mode: 0755]
contrib/initscripts/bsd/novacoin [new file with mode: 0755]
contrib/initscripts/lsb/novacoind [new file with mode: 0755]
src/makefile.bsd
src/version.cpp
src/version.h

diff --git a/contrib/clang/nomacro.pl b/contrib/clang/nomacro.pl
new file mode 100755 (executable)
index 0000000..e91cda3
--- /dev/null
@@ -0,0 +1,47 @@
+#!/usr/bin/perl
+# Copyright 2012 pooler@litecoinpool.org
+#
+# This program is free software; you can redistribute it and/or modify it
+# under the terms of the GNU General Public License as published by the Free
+# Software Foundation; either version 2 of the License, or (at your option)
+# any later version.  See COPYING for more details.
+#
+# nomacro.pl - convert assembler macros to C preprocessor macros.
+
+use strict;
+
+foreach my $f (<*.S>) {
+       rename $f, "$f.orig";
+       open FIN, "$f.orig";
+       open FOUT, ">$f";
+       my $inmacro = 0;
+       my %macros = ();
+       while (<FIN>) {
+               if (m/^\.macro\s+([_0-9A-Z]+)(?:\s*)(.*)$/i) {
+                       print FOUT "#define $1($2) \\\n";
+                       $macros{$1} = 1;
+                       $inmacro = 1;
+                       next;
+               }
+               if (m/^\.endm/) {
+                       print FOUT "\n";
+                       $inmacro = 0;
+                       next;
+               }
+               for my $m (keys %macros) {
+                       s/^([ \t]*)($m)(?:[ \t]+([^#\n]*))?([;\n])/\1\2(\3)\4/;
+               }
+               if ($inmacro) {
+                       if (m/^\s*#if/) {
+                               $_ = <FIN> while (!m/^\s*#endif/);
+                               next;
+                       }
+                       next if (m/^\s*$/);
+                       s/\\//g;
+                       s/$/; \\/;
+               }
+               print FOUT;
+       }
+       close FOUT;
+       close FIN;
+}
diff --git a/contrib/initscripts/bsd/novacoin b/contrib/initscripts/bsd/novacoin
new file mode 100755 (executable)
index 0000000..77a43a2
--- /dev/null
@@ -0,0 +1,68 @@
+#!/bin/sh
+
+# PROVIDE: novacoin
+# REQUIRE: LOGIN
+# KEYWORD: shutdown
+
+#
+# Add the following lines to /etc/rc.conf.local or /etc/rc.conf
+# to enable this service:
+#
+# novacoin_enable (bool): Set to NO by default. Set this variable to YES if you want to enable novacoin service.
+# novacoin_config (path): Set to /usr/local/etc/novacoin.conf by default.
+# novacoin_user:  The user account novacoin daemon runs as. It uses 'root' user by default.
+# novacoin_group: The group account novacoin daemon runs as. It uses 'wheel' group by default.
+# novacoin_datadir (str): Default to "/var/db/novacoin". Base data directory.
+
+. /etc/rc.subr
+
+name=novacoin
+rcvar=novacoin_enable
+
+: ${novacoin_enable:=NO}
+: ${novacoin_config=/usr/local/etc/novacoin.conf}
+: ${novacoin_datadir=/var/db/novacoin}
+: ${novacoin_user="root"}
+: ${novacoin_group="wheel"}
+
+required_files=${novacoin_config}
+command=/usr/local/bin/novacoind
+novacoin_chdir=${novacoin_datadir}
+pidfile="${novacoin_datadir}/novacoind.pid"
+stop_cmd=novacoin_stop
+command_args="-conf=${novacoin_config} -datadir=${novacoin_datadir} -noupnp -daemon -pid=${pidfile}"
+start_precmd="${name}_prestart"
+
+novacoin_create_datadir()
+{
+       echo "Creating data directory"
+       eval mkdir -p ${novacoin_datadir}
+       [ $? -eq 0 ] && chown -R ${novacoin_user}:${novacoin_group} ${novacoin_datadir}
+}
+
+novacoin_prestart()
+{
+       if [ ! -d "${novacoin_datadir}/." ]; then
+               novacoin_create_datadir || return 1
+       fi
+}
+
+novacoin_requirepidfile()
+{
+       if [ ! "0`check_pidfile ${pidfile} ${command}`" -gt 1 ]; then
+               echo "${name} not running? (check $pidfile)."
+               exit 1
+       fi
+}
+
+novacoin_stop()
+{
+    novacoin_requirepidfile
+
+       echo "Stopping ${name}."
+       eval ${command} -conf=${novacoin_config} -datadir=${novacoin_datadir} stop
+       wait_for_pids ${rc_pid}
+}
+
+load_rc_config $name
+run_rc_command "$1"
diff --git a/contrib/initscripts/lsb/novacoind b/contrib/initscripts/lsb/novacoind
new file mode 100755 (executable)
index 0000000..7907003
--- /dev/null
@@ -0,0 +1,147 @@
+#!/bin/sh
+### BEGIN INIT INFO
+# Provides:          novacoind
+# Required-Start:    $network
+# Required-Stop:     $network
+# Default-Start:     2 3 4 5
+# Default-Stop:      0 1 6
+# Short-Description: novacoind daemon startup script
+# Description:       novacoind daemon startup script
+### END INIT INFO
+
+# Do NOT "set -e"
+
+# PATH should only include /usr/* if it runs after the mountnfs.sh script
+PATH=/sbin:/usr/sbin:/bin:/usr/bin
+DESC="NovaCoin Daemon"
+NAME=novacoind
+DAEMON=/opt/novacoin/$NAME
+PIDFILE=/var/run/$NAME.pid
+SCRIPTNAME=/etc/init.d/$NAME
+CHUID=novacoin:novacoin
+DAEMON_ARGS="-daemon -pid=$PIDFILE"
+
+# Exit if the package is not installed
+[ -x "$DAEMON" ] || exit 0
+
+# Read configuration variable file if it is present
+[ -r /etc/default/$NAME ] && . /etc/default/$NAME
+
+# Load the VERBOSE setting and other rcS variables
+. /lib/init/vars.sh
+
+# Define LSB log_* functions.
+# Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
+. /lib/lsb/init-functions
+
+#
+# Function that starts the daemon/service
+#
+do_start()
+{
+   # Return
+   #   0 if daemon has been started
+   #   1 if daemon was already running
+   #   2 if daemon could not be started
+   start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON --test > /dev/null \
+      || return 1
+   start-stop-daemon --start --quiet --chuid $CHUID --pidfile $PIDFILE --exec $DAEMON -- \
+      $DAEMON_ARGS \
+      || return 2
+}
+
+#
+# Function that stops the daemon/service
+#
+do_stop()
+{
+   # Return
+   #   0 if daemon has been stopped
+   #   1 if daemon was already stopped
+   #   2 if daemon could not be stopped
+   #   other if a failure occurred
+   start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE --name $NAME
+   RETVAL="$?"
+   [ "$RETVAL" = 2 ] && return 2
+   # Wait for children to finish too if this is a daemon that forks
+   # and if the daemon is only ever run from this initscript.
+   # If the above conditions are not satisfied then add some other code
+   # that waits for the process to drop all resources that could be
+   # needed by services started subsequently.  A last resort is to
+   # sleep for some time.
+   start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON
+   [ "$?" = 2 ] && return 2
+   # Many daemons don't delete their pidfiles when they exit.
+   rm -f $PIDFILE
+   return "$RETVAL"
+}
+
+#
+# Function that sends a SIGHUP to the daemon/service
+#
+do_reload() {
+   #
+   # If the daemon can reload its configuration without
+   # restarting (for example, when it is sent a SIGHUP),
+   # then implement that here.
+   #
+   start-stop-daemon --stop --signal 1 --quiet --pidfile $PIDFILE --name $NAME
+   return 0
+}
+
+case "$1" in
+  start)
+   [ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME"
+   do_start
+   case "$?" in
+      0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
+      2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
+   esac
+   ;;
+  stop)
+   [ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
+   do_stop
+   case "$?" in
+      0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
+      2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
+   esac
+   ;;
+  #reload|force-reload)
+   #
+   # If do_reload() is not implemented then leave this commented out
+   # and leave 'force-reload' as an alias for 'restart'.
+   #
+   #log_daemon_msg "Reloading $DESC" "$NAME"
+   #do_reload
+   #log_end_msg $?
+   #;;
+  restart|force-reload)
+   #
+   # If the "reload" option is implemented then remove the
+   # 'force-reload' alias
+   #
+   log_daemon_msg "Restarting $DESC" "$NAME"
+   do_stop
+   case "$?" in
+     0|1)
+      do_start
+      case "$?" in
+         0) log_end_msg 0 ;;
+         1) log_end_msg 1 ;; # Old process is still running
+         *) log_end_msg 1 ;; # Failed to start
+      esac
+      ;;
+     *)
+        # Failed to stop
+      log_end_msg 1
+      ;;
+   esac
+   ;;
+  *)
+   #echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2
+   echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload}" >&2
+   exit 3
+   ;;
+esac
+
+:
index 29fa837..1c2052f 100644 (file)
@@ -142,7 +142,7 @@ DEFS += $(addprefix -I,$(CURDIR)/leveldb/include) -DUSE_LEVELDB
 DEFS += $(addprefix -I,$(CURDIR)/leveldb/helpers)
 OBJS += obj/txdb-leveldb.o
 leveldb/libleveldb.a:
-       @echo "Building LevelDB ..."; cd leveldb; make libleveldb.a libmemenv.a; cd ..;
+       @echo "Building LevelDB ..."; cd leveldb; gmake libleveldb.a libmemenv.a; cd ..;
 obj/txdb-leveldb.o: leveldb/libleveldb.a
 endif
 ifneq (${USE_LEVELDB}, 1)
index b1398ce..5b501b6 100644 (file)
@@ -40,17 +40,17 @@ const std::string CLIENT_NAME("Satoshi");
 #    define GIT_COMMIT_DATE "$Format:%cD"
 #endif
 
-#define BUILD_DESC_FROM_COMMIT(maj,min,rev,build,commit) \
-    "v" DO_STRINGIZE(maj) "." DO_STRINGIZE(min) "." DO_STRINGIZE(rev) "." DO_STRINGIZE(build) "-g" commit
+#define BUILD_DESC_FROM_COMMIT(maj,min,rev,commit) \
+    "nvc-v" DO_STRINGIZE(maj) "." DO_STRINGIZE(min) "." DO_STRINGIZE(rev) "." DO_STRINGIZE(build) "-g" commit
 
-#define BUILD_DESC_FROM_UNKNOWN(maj,min,rev,build) \
-    "v" DO_STRINGIZE(maj) "." DO_STRINGIZE(min) "." DO_STRINGIZE(rev) "." DO_STRINGIZE(build) "-unk"
+#define BUILD_DESC_FROM_UNKNOWN(maj,min,rev) \
+    "nvc-v" DO_STRINGIZE(maj) "." DO_STRINGIZE(min) "." DO_STRINGIZE(rev) "." DO_STRINGIZE(build) "-unk"
 
 #ifndef BUILD_DESC
 #    ifdef GIT_COMMIT_ID
-#        define BUILD_DESC BUILD_DESC_FROM_COMMIT(DISPLAY_VERSION_MAJOR, DISPLAY_VERSION_MINOR, DISPLAY_VERSION_REVISION, DISPLAY_VERSION_BUILD, GIT_COMMIT_ID)
+#        define BUILD_DESC BUILD_DESC_FROM_COMMIT(DISPLAY_VERSION_MAJOR, DISPLAY_VERSION_MINOR, DISPLAY_VERSION_REVISION, GIT_COMMIT_ID)
 #    else
-#        define BUILD_DESC BUILD_DESC_FROM_UNKNOWN(DISPLAY_VERSION_MAJOR, DISPLAY_VERSION_MINOR, DISPLAY_VERSION_REVISION, DISPLAY_VERSION_BUILD)
+#        define BUILD_DESC BUILD_DESC_FROM_UNKNOWN(DISPLAY_VERSION_MAJOR, DISPLAY_VERSION_MINOR, DISPLAY_VERSION_REVISION)
 #    endif
 #endif
 
index fd6aa43..aa725da 100644 (file)
@@ -50,8 +50,7 @@ static const int BIP0031_VERSION = 60000;
 static const int MEMPOOL_GD_VERSION = 60002;
 
 #define DISPLAY_VERSION_MAJOR       0
-#define DISPLAY_VERSION_MINOR       4
-#define DISPLAY_VERSION_REVISION    4
-#define DISPLAY_VERSION_BUILD       6
+#define DISPLAY_VERSION_MINOR       5
+#define DISPLAY_VERSION_REVISION    0
 
 #endif